pioneers-metaserver(6)

NAME
pioneers-metaserver - metaserver for Pioneers

SYNOPSIS
pioneers-metaserver [options]

DESCRIPTION
Pioneers is an implementation of the popular, award-winning "Settlers of Catan" board game. It uses a client/server model for networked play. This program provides a piece of network infrastructure that helps match pioneers clients to pioneers servers. Casual players of pioneers probably do not need to run this program.

OPTIONS

-?, --help
    Print a short help text and exit.

-d, --daemon
    Run in daemon mode.

-P, --pidfile pidfile
    Write the pid to pidfile (implies -d)

-r, --redirect location
    Redirect to another metaserver running at location.

-s, --servername hostname
    Use hostname as hostname when creating servers.

-p, --port-range from-to
    Use ports in the range from-to (inclusive) to start servers. When this range is not specified, the metaserver will not be able to create new games.

--debug
    Enable debug messages.

--syslog-debug
    Duplicate the messages of the syslog to the console.

--version
    Show version information.

ENVIRONMENT
The default settings of the metaserver can be influenced with the following three environment variables:

PIONEERS_METASERVER
    The hostname the metaserver will use when creating new games. This should be a hostname that can be resolved by all clients that will connect.

PIONEERS_SERVER_CONSOLE
    The path (including the filename) to pioneers-server-console. If it contains only a filename and no path or if it is not set, the PATH variable in the environment is used to locate the program.

PIONEERS_DIR
    The path to the game definition files. If it is not set, the default installation path will be used.

FILES
/usr/local/share/pioneers/*.game
    Game definitions

SIGNALS
SIGINT
    Shutdown the metaserver gracefully (can also be used to check for memory leaks)

AUTHOR
This manual page was written by Jeff Breidenbach <jab@debian.org>, and updated by Roland Clobus <rclobus@rclobus.nl> and Bas Wijnen <shevek@fmf.nl>. Pioneers was written by Dave Cole <dave@dccs.com.au>, Andy Heroff <aheroff@mediaone.net>, and Roman Hodek <roman@hodek.net>, with contributions from many other developers on the Internet; see the AUTHORS file in the pioneers distribution or the help->about dialog in one of the graphical programs for a complete list of contributing authors.

SEE ALSO
pioneers(6), pioneers-server-gtk(6), pioneers-server-console(6)